package top.daxian1218.dust.license;

public enum LicenseConfig {
    INSTANCE;

    private boolean cpuCheck = false;
    private boolean mainboardCheck = false;
    private boolean hostNameCheck = true;
    private boolean macCheck = true;
    private String publicKey;
    private String subject;
    private String signedFile;
    private String privateKey;
    private String deviceFingerPrint;
    private String hash;
    private LicenseInfo license;

    private LicenseConfig() {
    }


    public boolean isCpuCheck() {
        return cpuCheck;
    }

    public void setCpuCheck(boolean cpuCheck) {
        this.cpuCheck = cpuCheck;
    }

    public boolean isMainboardCheck() {
        return mainboardCheck;
    }

    public void setMainboardCheck(boolean mainboardCheck) {
        this.mainboardCheck = mainboardCheck;
    }

    public boolean isHostNameCheck() {
        return hostNameCheck;
    }

    public void setHostNameCheck(boolean hostNameCheck) {
        this.hostNameCheck = hostNameCheck;
    }

    public boolean isMacCheck() {
        return macCheck;
    }

    public void setMacCheck(boolean macCheck) {
        this.macCheck = macCheck;
    }

    public String getPublicKey() {
        return publicKey;
    }

    public void setPublicKey(String publicKey) {
        this.publicKey = publicKey;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getSignedFile() {
        return signedFile;
    }

    public void setSignedFile(String signedFile) {
        this.signedFile = signedFile;
    }

    public String getPrivateKey() {
        return privateKey;
    }

    public void setPrivateKey(String privateKey) {
        this.privateKey = privateKey;
    }

    public String getDeviceFingerPrint() {
        return deviceFingerPrint;
    }

    public void setDeviceFingerPrint(String deviceFingerPrint) {
        this.deviceFingerPrint = deviceFingerPrint;
    }

    public String getHash() {
        return hash;
    }

    public void setHash(String hash) {
        this.hash = hash;
    }

    public void setLicense(LicenseInfo license) {
        this.license = license;
    }

    public LicenseInfo getLicense() {
        return license;
    }
}
